using System.Windows.Forms;

namespace AgencySystem
{
    public partial class StatusPage : UserControl
    { 
        public static Label StatusPageHeadingLabel { get; set; } = new Label();
        public static Label StatusPageDescriptionLabel { get; set; } = new Label();

        private static StatusPage _instance;
        public static StatusPage Instance
        {
            get
            {
                if (_instance == null)
                    _instance = new StatusPage();
                return _instance;
            }
        }

        public StatusPage()
        {
            InitializeComponent();
            StatusPageHeadingLabel = statusHeading;
            StatusPageDescriptionLabel = statusDescription;
            DefaultScreen.initializeHeading(statusHeading);
            DefaultScreen.initializePanel(StatusPanel);
        }
    }
}
